%define module  Class-MOP
%define name    perl-%{module}
%define version 0.65
%define release %mkrel 1

Name:           %{name}
Version:        %{version}
Release:        %{release}
Summary:        A Meta Object Protocol for Perl 5
License:        GPL or Artistic
Group:          Development/Perl
Url:            http://search.cpan.org/dist/%{module}
Source:         http://www.cpan.org/modules/by-module/Class/%{module}-%{version}.tar.gz
BuildRequires:  perl-devel
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Sub::Name)
BuildRequires:  perl(Sub::Identify)
BuildRequires:  perl(MRO::Compat)
Requires:       perl(Sub::Identify)
BuildRoot:      %{_tmppath}/%{name}-%{version}

%description
This module is an attempt to create a meta object protocol for the Perl 5
object system. It makes no attempt to change the behavior or characteristics of
the Perl 5 object system, only to create a protocol for its manipulation and
introspection.

That said, it does attempt to create the tools for building a rich set of
extensions to the Perl 5 object system. Every attempt has been made for these
tools to keep to the spirit of the Perl 5 object system that we all know and
love.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%__make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/Class
%{perl_vendorarch}/auto/Class
%{perl_vendorarch}/metaclass.pm
%{_mandir}/*/*



%changelog
* Tue Sep 02 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.65-1mdv2009.0
+ Revision: 279147
- update to new version 0.65

* Sun Aug 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.64-1mdv2009.0
+ Revision: 270345
- update to new version 0.64

* Thu Jul 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.63-1mdv2009.0
+ Revision: 233372
- update to new version 0.63

* Mon Jun 23 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.62-1mdv2009.0
+ Revision: 227968
- update to new version 0.62

* Mon Jun 16 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.61-1mdv2009.0
+ Revision: 220135
- update to new version 0.61

* Fri May 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.58-1mdv2009.0
+ Revision: 213316
- update to new version 0.58

* Thu May 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-2mdv2009.0
+ Revision: 212964
- fix dependencies

* Wed May 28 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-1mdv2009.0
+ Revision: 212814
- new version

* Tue May 06 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.55-1mdv2009.0
+ Revision: 201934
- fix build dependency
- update to new version 0.55

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.54-1mdv2009.0
+ Revision: 193753
- update to new version 0.54

* Fri Feb 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.53-1mdv2008.1
+ Revision: 168840
- update to new version 0.53
- update to new version 0.53

* Fri Jan 25 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.52-1mdv2008.1
+ Revision: 158105
- update to new version 0.52

* Tue Jan 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.51-1mdv2008.1
+ Revision: 152991
- update to new version 0.51

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - rebuild for perl-5.10.0

* Sat Dec 22 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.50-1mdv2008.1
+ Revision: 136775
- update to new version 0.50

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sun Dec 16 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.49-1mdv2008.1
+ Revision: 120759
- new version

* Tue Nov 27 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.48-1mdv2008.1
+ Revision: 113406
- update to new version 0.48

* Mon Nov 26 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.47-1mdv2008.1
+ Revision: 112413
- update to new version 0.47

* Sat Nov 17 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.45-1mdv2008.1
+ Revision: 109579
- new version

* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2008.0
+ Revision: 75213
- import perl-Class-MOP


* Thu Aug 30 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.42-1mdv2008.0
- first mdv relase
